import { genStyleHook } from '@formily/antd-v5/lib/__builtins__';
export default genStyleHook('side-content', function (token) {
  var _ref, _componentCls, _ref2;
  var componentCls = token.componentCls,
    antCls = token.antCls;
  return _ref2 = {}, _ref2[componentCls] = (_componentCls = {
    height: '100%',
    overflow: 'hidden',
    background: '#f9faff',
    display: 'flex',
    flexDirection: 'column'
  }, _componentCls[antCls + "-card-head"] = {
    borderBottom: 'none'
  }, _componentCls[componentCls + "-drawer-body"] = {
    flex: 1,
    overflow: 'auto'
  }, _componentCls['&-item'] = {
    marginBottom: '10px !important'
  }, _componentCls[componentCls + "-collapse"] = (_ref = {}, _ref[antCls + "-collapse-item"] = {
    background: '#fff'
  }, _ref), _componentCls), _ref2;
});
export var useSideDrawerStyle = genStyleHook('side-content-drawer', function (token) {
  var _componentCls2, _ref3;
  var componentCls = token.componentCls,
    antCls = token.antCls;
  return _ref3 = {}, _ref3[componentCls] = (_componentCls2 = {}, _componentCls2[antCls + "-drawer-content-wrapper"] = {
    boxShadow: 'none'
  }, _componentCls2[antCls + "-drawer-content"] = {
    background: 'transparent'
  }, _componentCls2[antCls + "-drawer-body"] = {
    padding: 0
  }, _componentCls2[antCls + "-drawer-header"] = {
    display: 'none'
  }, _componentCls2), _ref3;
});