import { genStyleHook } from '../../../../../__builtins__';
export default genStyleHook('drawer-setter', function (token) {
  var _componentCls, _ref;
  var componentCls = token.componentCls,
    colorText = token.colorText,
    colorBorder = token.colorBorder,
    colorBgContainer = token.colorBgContainer;
  return [(_ref = {}, _ref[componentCls] = (_componentCls = {
    position: 'absolute',
    top: 0,
    left: 0,
    width: '100%',
    bottom: 0,
    background: colorBgContainer,
    zIndex: 10,
    display: 'flex',
    flexDirection: 'column'
  }, _componentCls[componentCls + "-header"] = {
    display: 'flex',
    alignItems: 'center',
    flexShrink: 0,
    flexGrow: 0,
    padding: '5px 10px',
    color: colorText,
    borderBottom: "1px solid " + colorBorder,
    cursor: 'pointer'
  }, _componentCls[componentCls + "-header-text"] = {
    marginLeft: 4
  }, _componentCls[componentCls + "-body"] = {
    padding: '10px 20px',
    overflow: 'overlay',
    overflowX: 'hidden',
    flexGrow: 2
  }, _componentCls), _ref[componentCls + "-wrapper"] = {
    transition: 'all 0.16s ease-in-out',
    '&-enter': {
      transform: 'translateX(100%)'
    },
    '&-enter-active': {
      transform: 'translateX(0)'
    },
    '&-exit': {
      transform: 'translateX(0)'
    },
    '&-exit-active': {
      transform: 'translateX(100%)'
    }
  }, _ref)];
});