import { genStyleHook } from '../../../../../__builtins__';
export default genStyleHook('form-card', function (token) {
  var _ref, _ref2, _collapse, _active, _ref3, _ref4;
  var componentCls = token.componentCls,
    fontSize = token.fontSize,
    colorTextHeading = token.colorTextHeading;
  return [(_ref4 = {}, _ref4[componentCls + "-layout"] = (_ref3 = {
    fontSize: fontSize,
    color: colorTextHeading,
    margin: '8px',
    padding: '0 8px',
    backgroundColor: '#fff',
    border: '0.5px solid #edeff3'
  }, _ref3[componentCls + "-header"] = (_ref = {
    display: 'flex',
    justifyContent: 'space-between',
    alignItems: 'center',
    '&.hasTitle': {
      paddingTop: 12
    }
  }, _ref[componentCls + "-header-slot"] = {
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center'
  }, _ref), _ref3[componentCls + "-wrapper"] = {
    marginTop: '12px'
  }, _ref3[componentCls + "-title"] = {
    fontWeight: 500
  }, _ref3[componentCls + "-collapse"] = {
    marginRight: '8px',
    transition: 'transform 0.3s ease'
  }, _ref3['&.collapse'] = (_collapse = {}, _collapse[componentCls + "-header"] = {
    cursor: 'pointer'
  }, _collapse[componentCls + "-wrapper"] = (_ref2 = {
    display: 'grid',
    gridTemplateRows: '0fr',
    transition: 'grid-template-rows 0.3s ease'
  }, _ref2[componentCls + "-body"] = {
    overflow: 'hidden'
  }, _ref2), _collapse), _ref3['&.active'] = (_active = {}, _active[componentCls + "-wrapper"] = {
    gridTemplateRows: '1fr'
  }, _active[componentCls + "-collapse"] = {
    transform: 'rotate(180deg)'
  }, _active), _ref3), _ref4)];
});