import { connect, mapProps } from '@formily/react';
import { isArray } from 'lodash';
export var _Text = function _Text(_ref) {
  var value = _ref.value,
    dataSource = _ref.dataSource;
  if (dataSource) {
    if (isArray(value)) {
      return value.map(function (value) {
        var _dataSource$find;
        var label = (_dataSource$find = dataSource.find(function (item) {
          return item.value === value;
        })) === null || _dataSource$find === void 0 ? void 0 : _dataSource$find.label;
        return label || value;
      }).join(',');
    } else {
      var _dataSource$find2;
      var label = (_dataSource$find2 = dataSource.find(function (item) {
        return item.value === value;
      })) === null || _dataSource$find2 === void 0 ? void 0 : _dataSource$find2.label;
      return label || value;
    }
  }
  return value;
};
export var Text = connect(_Text, mapProps({
  dataSource: 'dataSource'
}));