import loader from '@monaco-editor/loader';
var Registry = {
  cdn: '//cdn.jsdelivr.net/npm'
};
export var setNpmCDNRegistry = function setNpmCDNRegistry(registry) {
  Registry.cdn = registry;
  loader.config({
    paths: {
      vs: registry + "/monaco-editor@0.44.0/min/vs"
    }
  });
};
export var getNpmCDNRegistry = function getNpmCDNRegistry() {
  return String(Registry.cdn).replace(/\/$/, '');
};