import { FC } from 'react';
import { DockProps } from '../../types';
import { PanelDock } from '../../widget/panel-dock';
import { WidgetContainer } from '../../widget/widget-container';
import { Panel } from '../../widget/panel';
import { IWidget } from '../../widget/widget';
import './index.less';
export declare function DockView({ title, icon, description, size, className, onClick }: DockProps): import("react").JSX.Element;
export declare const PanelDockView: ({ dock, className, onClick, ...props }: DockProps & {
    dock: PanelDock;
}) => import("react").JSX.Element;
export declare function DialogDockView(): any;
export declare const DraggableLineView: ({ panel }: {
    panel: Panel;
}) => import("react").JSX.Element;
export declare const TitledPanelView: ({ panel, area }: {
    panel: Panel;
    area?: string;
}) => import("react").JSX.Element;
export declare const PanelView: ({ panel, area, hideOperationRow, hideDragLine, }: {
    panel: Panel;
    area?: string;
    hideOperationRow?: boolean;
    hideDragLine?: boolean;
}) => import("react").JSX.Element;
export declare const TabsPanelView: ({ container, shouldHideSingleTab, }: {
    container: WidgetContainer<Panel>;
    shouldHideSingleTab?: boolean;
}) => import("react").JSX.Element;
export interface WidgetViewProps {
    widget: IWidget;
}
export declare const WidgetView: FC<WidgetViewProps>;
