import { Fragment } from 'react';
import classNames from 'classnames';
import { observer } from '@gant-lowcode/lowcode-editor-core';
var BottomArea = observer(function (_ref) {
  var area = _ref.area;
  if (area.isEmpty()) {
    return null;
  }
  return /*#__PURE__*/React.createElement("div", {
    className: classNames('lc-bottom-area', {
      'lc-area-visible': area.visible
    })
  }, /*#__PURE__*/React.createElement(Contents, {
    area: area
  }));
});
export default BottomArea;
var Contents = observer(function (_ref2) {
  var area = _ref2.area;
  return /*#__PURE__*/React.createElement(Fragment, null, area.container.items.map(function (item) {
    return item.content;
  }));
});