import { Fragment } from 'react';
import classNames from 'classnames';
import { observer } from '@gant-lowcode/lowcode-editor-core';
var RightArea = observer(function (_ref) {
  var area = _ref.area;
  if (area.isEmpty()) {
    return null;
  }
  return /*#__PURE__*/React.createElement("div", {
    className: classNames('lc-right-area engine-tabpane', {
      'lc-area-visible': area.visible
    })
  }, /*#__PURE__*/React.createElement(Contents, {
    area: area
  }));
});
export default RightArea;
var Contents = observer(function (_ref2) {
  var area = _ref2.area;
  return /*#__PURE__*/React.createElement(Fragment, null, area.container.items.slice().sort(function (a, b) {
    var _a$config, _b$config;
    var index1 = ((_a$config = a.config) === null || _a$config === void 0 ? void 0 : _a$config.index) || 0;
    var index2 = ((_b$config = b.config) === null || _b$config === void 0 ? void 0 : _b$config.index) || 0;
    return index1 === index2 ? 0 : index1 > index2 ? 1 : -1;
  }).map(function (item) {
    return item.content;
  }));
});