"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.usePrefixCls = void 0;
var _configProvider = _interopRequireDefault(require("antd/lib/config-provider"));
var _react = require("react");
var usePrefixCls = exports.usePrefixCls = function usePrefixCls(tag, props) {
  if ('ConfigContext' in _configProvider["default"]) {
    var _useContext = (0, _react.useContext)(_configProvider["default"].ConfigContext),
      getPrefixCls = _useContext.getPrefixCls;
    return getPrefixCls(tag, props === null || props === void 0 ? void 0 : props.prefixCls);
  } else {
    var _props$prefixCls;
    var prefix = (_props$prefixCls = props === null || props === void 0 ? void 0 : props.prefixCls) !== null && _props$prefixCls !== void 0 ? _props$prefixCls : 'ant-';
    return "" + prefix + (tag !== null && tag !== void 0 ? tag : '');
  }
};