import React from 'react';
import { IFormLayoutProps } from '@formily/antd-v5';
import { ReactFC } from '@formily/react';
export interface FormCardProps extends IFormLayoutProps {
    className?: string;
    style?: React.CSSProperties;
    children?: React.ReactNode;
    title?: string;
    defaultCollapsed?: boolean;
    collapse?: boolean;
}
export declare const Card: ({ className, style, children, title, defaultCollapsed, collapse, ...restProps }: FormCardProps) => import("react").ReactElement<any, string | import("react").JSXElementConstructor<any>>;
export declare const FormCard: ReactFC<FormCardProps>;
