"use strict";

exports.__esModule = true;
exports._Text = exports.Text = void 0;
var _react = require("@formily/react");
var _lodash = require("lodash");
var _Text = exports._Text = function _Text(_ref) {
  var value = _ref.value,
    dataSource = _ref.dataSource;
  if (dataSource) {
    if ((0, _lodash.isArray)(value)) {
      return value.map(function (value) {
        var _dataSource$find;
        var label = (_dataSource$find = dataSource.find(function (item) {
          return item.value === value;
        })) === null || _dataSource$find === void 0 ? void 0 : _dataSource$find.label;
        return label || value;
      }).join(',');
    } else {
      var _dataSource$find2;
      var label = (_dataSource$find2 = dataSource.find(function (item) {
        return item.value === value;
      })) === null || _dataSource$find2 === void 0 ? void 0 : _dataSource$find2.label;
      return label || value;
    }
  }
  return value;
};
var Text = exports.Text = (0, _react.connect)(_Text, (0, _react.mapProps)({
  dataSource: 'dataSource'
}));