"use strict";

exports.__esModule = true;
exports.useSubSlotRef = exports.useSlot = exports.SubSlotProvider = exports.SlotProvider = void 0;
var _react = require("react");
// 新增 SlotContext.ts

var SlotContext = /*#__PURE__*/(0, _react.createContext)({
  slotRef: {
    current: null
  }
});
var SlotProvider = exports.SlotProvider = SlotContext.Provider;
var useSlot = exports.useSlot = function useSlot() {
  return (0, _react.useContext)(SlotContext);
};
var SubSlotContext = /*#__PURE__*/(0, _react.createContext)({
  current: null
});
var SubSlotProvider = exports.SubSlotProvider = SubSlotContext.Provider;
var useSubSlotRef = exports.useSubSlotRef = function useSubSlotRef() {
  return (0, _react.useContext)(SubSlotContext);
};