import { SettingTopEntry } from '@gant-lowcode/lowcode-designer';
import { Editor } from '@gant-lowcode/lowcode-editor-core';
import React from 'react';
import { Field } from '@formily/core';
export declare class SettingsMain {
    readonly editor: Editor;
    private emitter;
    private _sessionId;
    private _settings?;
    get length(): number | undefined;
    get componentMeta(): import("@gant-lowcode/lowcode-designer").IComponentMeta;
    get settings(): SettingTopEntry;
    private disposeListener;
    private designer?;
    SchemaField: React.FC;
    constructor(editor: Editor);
    private init;
    private setup;
    skeletonSettingsPaneChange(params: any): void;
    purge(): void;
    createSchemaField(): React.FC;
    useDataSource(key: string, options?: {
        cacheable?: boolean;
        paramsBuilder?: (field: Field) => Record<string, any>;
    }): (field: Field) => void;
}
