"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.setNpmCDNRegistry = exports.getNpmCDNRegistry = void 0;
var _loader = _interopRequireDefault(require("@monaco-editor/loader"));
var Registry = {
  cdn: '//cdn.jsdelivr.net/npm'
};
var setNpmCDNRegistry = exports.setNpmCDNRegistry = function setNpmCDNRegistry(registry) {
  Registry.cdn = registry;
  _loader["default"].config({
    paths: {
      vs: registry + "/monaco-editor@0.44.0/min/vs"
    }
  });
};
var getNpmCDNRegistry = exports.getNpmCDNRegistry = function getNpmCDNRegistry() {
  return String(Registry.cdn).replace(/\/$/, '');
};