import React from 'react';
import { Editor } from '@gant-lowcode/lowcode-editor-core';
import { ISettingTopEntry } from '@gant-lowcode/lowcode-designer';
import { IPublicApiCanvas, IPublicApiCommonUI, IPublicApiEvent } from '@gant-lowcode/lowcode-types';
interface ISettingsPrimaryPaneProps {
    engineEditor: Editor;
    config?: any;
    commonUI: IPublicApiCommonUI;
    event: IPublicApiEvent;
    canvas: IPublicApiCanvas;
}
export declare const SettingsPrimaryPane: React.FC<ISettingsPrimaryPaneProps>;
interface SettingsProps {
    activeKey?: string;
    settings: ISettingTopEntry;
}
export declare const Settings: ({ settings, activeKey: _activeKey }: SettingsProps) => JSX.Element;
export {};
