import _ConfigProvider from "antd/es/config-provider";
import { useContext } from 'react';
export var usePrefixCls = function usePrefixCls(tag, props) {
  if ('ConfigContext' in _ConfigProvider) {
    var _useContext = useContext(_ConfigProvider.ConfigContext),
      getPrefixCls = _useContext.getPrefixCls;
    return getPrefixCls(tag, props === null || props === void 0 ? void 0 : props.prefixCls);
  } else {
    var _props$prefixCls;
    var prefix = (_props$prefixCls = props === null || props === void 0 ? void 0 : props.prefixCls) !== null && _props$prefixCls !== void 0 ? _props$prefixCls : 'ant-';
    return "" + prefix + (tag !== null && tag !== void 0 ? tag : '');
  }
};