import { set } from 'lodash';
import { indexKey } from '../common';
import { useSelected } from '../../../../../hooks';
export var useHandleCellEditChange = function useHandleCellEditChange(valueMode, dataSource) {
  var selected = useSelected();
  var handleCellEditChange = function handleCellEditChange(record, fieldName, newValue, oldValue) {
    console.log('--handleCellEditChange-record', dataSource, record, fieldName, newValue);
    var index = record[indexKey];
    set(dataSource, index + "." + fieldName, newValue);
    if (!valueMode || valueMode === 'normal') return;
    selected.children.get(index).setPropValue(fieldName, newValue);
  };
  return handleCellEditChange;
};