import _Button from "antd/es/button";
import { createIcon } from '@gant-lowcode/lowcode-utils';
import { useSubSlotRef } from '../../context';
import { useField } from '@formily/react';
import { useState } from 'react';
import { createPortal } from 'react-dom';
export var FormSlotSetter = function FormSlotSetter(props) {
  var _props$type = props.type,
    type = _props$type === void 0 ? 'icon' : _props$type,
    children = props.children;
  var _useState = useState(false),
    open = _useState[0],
    setOpen = _useState[1];
  var slotRef = useSubSlotRef();
  var field = useField();
  return /*#__PURE__*/React.createElement("div", {
    onClick: function onClick() {
      setOpen(true);
    }
  }, type === 'icon' ? createIcon('fx', {
    className: 'fx-icon'
  }) : /*#__PURE__*/React.createElement(_Button, null, props.title || field.title), open && /*#__PURE__*/createPortal(children, slotRef.current));
};