import { genStyleHook } from '@formily/antd-v5/lib/__builtins__';
export var useStyle = genStyleHook('monaco-input', function (token) {
  var _componentCls, _ref;
  var componentCls = token.componentCls;
  return _ref = {}, _ref[componentCls] = (_componentCls = {
    position: 'relative',
    transition: 'all 0.15s ease-in-out',
    width: '100%',
    height: '100%',
    opacity: 0,
    display: 'flex',
    '&.loaded': {
      opacity: 1
    }
  }, _componentCls[componentCls + "-view"] = {
    flexGrow: 2,
    height: '100%'
  }, _componentCls[componentCls + "-helper"] = {
    position: 'absolute',
    bottom: 10,
    right: '5%',
    zIndex: 6
  }, _componentCls['.monaco-error-highline'] = {
    left: '0px !important',
    width: '5px !important',
    height: '5px !important',
    background: 'red !important',
    borderRadius: '100% !important',
    transform: 'translate(35px, 5px) !important'
  }, _componentCls), _ref;
});