import React from 'react';
import { IPublicApiCommonUI, IPublicApiEvent, IPublicModelEngineConfig } from '@gant-lowcode/lowcode-types';
interface LogicValue {
    type: 'JSExpression';
    value: string;
    isFixed: boolean;
    variableName: string;
}
export interface VariableBindProps {
    event: IPublicApiEvent;
    className?: string;
    style?: React.CSSProperties;
    children?: React.ReactNode;
    value?: LogicValue;
    onChange?: (value: LogicValue) => void;
    commonUI: IPublicApiCommonUI;
    engineConfig: IPublicModelEngineConfig;
}
export declare const VariableBind: (_props: VariableBindProps) => import("react").ReactElement<any, string | import("react").JSXElementConstructor<any>>;
export {};
