"use strict";

exports.__esModule = true;
exports.useHandleCellEditChange = void 0;
var _lodash = require("lodash");
var _common = require("../common");
var _hooks = require("../../../../../hooks");
var useHandleCellEditChange = exports.useHandleCellEditChange = function useHandleCellEditChange(valueMode, dataSource) {
  var selected = (0, _hooks.useSelected)();
  var handleCellEditChange = function handleCellEditChange(record, fieldName, newValue, oldValue) {
    console.log('--handleCellEditChange-record', dataSource, record, fieldName, newValue);
    var index = record[_common.indexKey];
    (0, _lodash.set)(dataSource, index + "." + fieldName, newValue);
    if (!valueMode || valueMode === 'normal') return;
    selected.children.get(index).setPropValue(fieldName, newValue);
  };
  return handleCellEditChange;
};