import React from 'react';
import { ColProps } from 'antd';
import { RowProps } from 'antd/lib';
export interface IFormRowProps extends RowProps {
    prefixCls?: string;
    className?: string;
    style?: React.CSSProperties;
}
type ComposedFormRow = React.FC<React.PropsWithChildren<IFormRowProps>> & {
    Col: React.FC<React.PropsWithChildren<ColProps>>;
};
export declare const FormRow: ComposedFormRow;
export default FormRow;
