"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.FormSlotSetter = void 0;
var _button = _interopRequireDefault(require("antd/lib/button"));
var _lowcodeUtils = require("@gant-lowcode/lowcode-utils");
var _context = require("../../context");
var _react = require("@formily/react");
var _react2 = require("react");
var _reactDom = require("react-dom");
var FormSlotSetter = exports.FormSlotSetter = function FormSlotSetter(props) {
  var _props$type = props.type,
    type = _props$type === void 0 ? 'icon' : _props$type,
    children = props.children;
  var _useState = (0, _react2.useState)(false),
    open = _useState[0],
    setOpen = _useState[1];
  var slotRef = (0, _context.useSubSlotRef)();
  var field = (0, _react.useField)();
  return /*#__PURE__*/React.createElement("div", {
    onClick: function onClick() {
      setOpen(true);
    }
  }, type === 'icon' ? (0, _lowcodeUtils.createIcon)('fx', {
    className: 'fx-icon'
  }) : /*#__PURE__*/React.createElement(_button["default"], null, props.title || field.title), open && /*#__PURE__*/(0, _reactDom.createPortal)(children, slotRef.current));
};