"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.format = void 0;
var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _parser = require("@babel/parser");
var _registry = require("../../registry");
var cache = {
  prettier: null
};
var format = exports.format = /*#__PURE__*/function () {
  var _ref = (0, _asyncToGenerator2["default"])(/*#__PURE__*/_regenerator["default"].mark(function _callee(language, source) {
    return _regenerator["default"].wrap(function _callee$(_context) {
      while (1) switch (_context.prev = _context.next) {
        case 0:
          cache.prettier = cache.prettier ||
          // eslint-disable-next-line no-new-func
          new Function("return import(\"" + (0, _registry.getNpmCDNRegistry)() + "/prettier@2.x/esm/standalone.mjs\")")();
          return _context.abrupt("return", cache.prettier.then(function (module) {
            if (language === 'javascript.expression' || language === 'typescript.expression') {
              return source;
            }
            if (/(?:javascript|typescript)/gi.test(language)) {
              return module["default"].format(source, {
                semi: false,
                parser: function parser(text) {
                  return (0, _parser.parse)(text, {
                    sourceType: 'module',
                    plugins: ['typescript', 'jsx']
                  });
                }
              });
            }
            if (language === 'json') {
              return JSON.stringify(JSON.parse(source), null, 2);
            }
            return source;
          }));
        case 2:
        case "end":
          return _context.stop();
      }
    }, _callee);
  }));
  return function format(_x, _x2) {
    return _ref.apply(this, arguments);
  };
}();