"use strict";

exports.__esModule = true;
exports["default"] = void 0;
var _builtins__ = require("@formily/antd-v5/lib/__builtins__");
var _default = exports["default"] = (0, _builtins__.genStyleHook)('array-table', function (token) {
  var _ref, _ref2, _ref3, _td, _ref4, _ref5, _ref6, _ref7, _table, _componentCls, _ref8;
  var componentCls = token.componentCls,
    antCls = token.antCls,
    colorErrorBorder = token.colorErrorBorder,
    fontSizeSM = token.fontSizeSM,
    colorBgBase = token.colorBgBase,
    colorBorder = token.colorBorder,
    colorBgContainer = token.colorBgContainer;
  var itemCls = antCls + "-formily-item";
  return _ref8 = {}, _ref8[componentCls] = (_componentCls = {
    display: 'flex',
    height: '100%'
  }, _componentCls[componentCls + "-left"] = {
    flex: 1,
    height: '100%',
    overflow: 'auto'
  }, _componentCls[componentCls + "-right"] = {
    width: 410,
    paddingLeft: 10,
    height: '100%',
    overflow: 'auto'
  }, _componentCls[componentCls + "-pagination"] = (_ref2 = {
    display: 'flex',
    justifyContent: 'center'
  }, _ref2[componentCls + "-status-select.has-error"] = (_ref = {}, _ref[antCls + "-select-selector"] = {
    borderColor: colorErrorBorder + " !important"
  }, _ref), _ref2), _componentCls[antCls + "-table"] = {
    td: (_td = {
      visibility: 'visible'
    }, _td[itemCls + ":not(" + itemCls + "-feedback-layout-popover)"] = (_ref3 = {
      marginBottom: '0 !important'
    }, _ref3[itemCls + "-help"] = {
      position: 'absolute',
      fontSize: fontSizeSM,
      top: '100%',
      background: colorBgBase,
      width: '100%',
      marginTop: 3,
      padding: 3,
      zIndex: 1,
      borderRadius: 3,
      boxShadow: "0 0 10px " + colorBorder,
      animation: 'none',
      transform: 'translateY(0)',
      opacity: 1
    }, _ref3), _td),
    table: (_table = {
      overflow: 'hidden'
    }, _table[antCls + "-table-thead"] = (_ref5 = {}, _ref5[antCls + "-table-row"] = (_ref4 = {}, _ref4[antCls + "-table-cell"] = {
      padding: '4px 2px'
    }, _ref4), _ref5), _table[antCls + "-table-tbody"] = (_ref7 = {}, _ref7[antCls + "-table-row"] = (_ref6 = {}, _ref6[antCls + "-table-cell"] = {
      padding: '4px 2px'
    }, _ref6), _ref7), _table)
  }, _componentCls[componentCls + "-sort-helper"] = {
    background: colorBgContainer,
    border: "1px solid " + colorBorder,
    zIndex: 10
  }, _componentCls), _ref8;
});