"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.usePagination = exports.useArrayTableSources = exports.useArrayTableColumns = exports.useAddition = exports.useAction = exports.isSidePanelComponent = exports.isSideAdditionComponent = exports.isOperationsComponent = exports.isOperationComponent = exports.isOpenComponent = exports.isIndexComponent = exports.isColumnComponent = exports.isAdditionComponent = exports.isActionComponent = exports.indexKey = exports.WrapperComp = exports.StatusSelect = exports.SortHandle = exports.SidePanel = exports.RowComp = exports.PaginationContext = exports.Navigation = exports.LOWCODE_NODE_ID = exports.Column = exports.ArrayTablePagination = exports.Addition = exports.Action = void 0;
var _button = _interopRequireDefault(require("antd/lib/button"));
var _space = _interopRequireDefault(require("antd/lib/space"));
var _pagination = _interopRequireDefault(require("antd/lib/pagination"));
var _select = _interopRequireDefault(require("antd/lib/select"));
var _badge = _interopRequireDefault(require("antd/lib/badge"));
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _react = require("@formily/react");
var _shared = require("@formily/shared");
var _classnames = _interopRequireDefault(require("classnames"));
var _react2 = _interopRequireWildcard(require("react"));
var _style = _interopRequireDefault(require("./style"));
var _builtins__ = require("@formily/antd-v5/lib/__builtins__");
var _antdV = require("@formily/antd-v5");
var _hooks = require("../../../../hooks");
var _icons = require("@ant-design/icons");
var _excluded = ["tbodyRef"];
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
var SortableRow = (0, _builtins__.SortableElement)(function (props) {
  return /*#__PURE__*/_react2["default"].createElement("tr", props);
});
var SortableBodyRaw = (0, _builtins__.SortableContainer)(function (_ref) {
  var tbodyRef = _ref.tbodyRef,
    props = (0, _objectWithoutPropertiesLoose2["default"])(_ref, _excluded);
  return /*#__PURE__*/_react2["default"].createElement("tbody", (0, _extends2["default"])({}, props, {
    ref: tbodyRef
  }));
});
var SortableBody = /*#__PURE__*/(0, _react2.forwardRef)(function (props, ref) {
  return /*#__PURE__*/_react2["default"].createElement(SortableBodyRaw, (0, _extends2["default"])({}, props, {
    tbodyRef: ref
  }));
});
var isIndexComponent = exports.isIndexComponent = function isIndexComponent(schema) {
  var _schema$xComponent, _schema$xComponent$in;
  return ((_schema$xComponent = schema['x-component']) === null || _schema$xComponent === void 0 ? void 0 : (_schema$xComponent$in = _schema$xComponent.indexOf) === null || _schema$xComponent$in === void 0 ? void 0 : _schema$xComponent$in.call(_schema$xComponent, 'Index')) > -1;
};
var isColumnComponent = exports.isColumnComponent = function isColumnComponent(schema) {
  var _schema$xComponent2;
  return ((_schema$xComponent2 = schema['x-component']) === null || _schema$xComponent2 === void 0 ? void 0 : _schema$xComponent2.indexOf('Column')) > -1;
};
var isSidePanelComponent = exports.isSidePanelComponent = function isSidePanelComponent(schema) {
  var _schema$xComponent3;
  return ((_schema$xComponent3 = schema['x-component']) === null || _schema$xComponent3 === void 0 ? void 0 : _schema$xComponent3.indexOf('SidePanel')) > -1;
};
var isSideAdditionComponent = exports.isSideAdditionComponent = function isSideAdditionComponent(schema) {
  var _schema$xComponent4;
  return ((_schema$xComponent4 = schema['x-component']) === null || _schema$xComponent4 === void 0 ? void 0 : _schema$xComponent4.indexOf('AddSidePanel')) > -1;
};
var isOperationsComponent = exports.isOperationsComponent = function isOperationsComponent(schema) {
  var _schema$xComponent5;
  return ((_schema$xComponent5 = schema['x-component']) === null || _schema$xComponent5 === void 0 ? void 0 : _schema$xComponent5.indexOf('Operations')) > -1;
};
var isAdditionComponent = exports.isAdditionComponent = function isAdditionComponent(schema) {
  var _schema$xComponent6;
  return ((_schema$xComponent6 = schema['x-component']) === null || _schema$xComponent6 === void 0 ? void 0 : _schema$xComponent6.indexOf('Addition')) > -1;
};
var isRemoveComponent = function isRemoveComponent(schema) {
  var _schema$xComponent7, _schema$xComponent7$i;
  return ((_schema$xComponent7 = schema['x-component']) === null || _schema$xComponent7 === void 0 ? void 0 : (_schema$xComponent7$i = _schema$xComponent7.indexOf) === null || _schema$xComponent7$i === void 0 ? void 0 : _schema$xComponent7$i.call(_schema$xComponent7, 'Remove')) > -1;
};
var isMoveUpComponent = function isMoveUpComponent(schema) {
  var _schema$xComponent8, _schema$xComponent8$i;
  return ((_schema$xComponent8 = schema['x-component']) === null || _schema$xComponent8 === void 0 ? void 0 : (_schema$xComponent8$i = _schema$xComponent8.indexOf) === null || _schema$xComponent8$i === void 0 ? void 0 : _schema$xComponent8$i.call(_schema$xComponent8, 'MoveUp')) > -1;
};
var isMoveDownComponent = function isMoveDownComponent(schema) {
  var _schema$xComponent9, _schema$xComponent9$i;
  return ((_schema$xComponent9 = schema['x-component']) === null || _schema$xComponent9 === void 0 ? void 0 : (_schema$xComponent9$i = _schema$xComponent9.indexOf) === null || _schema$xComponent9$i === void 0 ? void 0 : _schema$xComponent9$i.call(_schema$xComponent9, 'MoveDown')) > -1;
};
var isOperationComponent = exports.isOperationComponent = function isOperationComponent(schema) {
  return isAdditionComponent(schema) || isRemoveComponent(schema) || isMoveDownComponent(schema) || isMoveUpComponent(schema);
};
var useArrayTableSources = exports.useArrayTableSources = function useArrayTableSources(arrayField, schema, mode) {
  if (mode === void 0) {
    mode = 'normal';
  }
  var _parseSources = function parseSources(schema) {
    if (isColumnComponent(schema) || isOperationsComponent(schema) || isAdditionComponent(schema)) {
      var _schema$xComponentP, _field$component;
      var xComponentProps = schema['x-component-props'] || {};
      if (!xComponentProps['dataIndex'] && !schema['name']) return [];
      var _display = 'visible';
      var name = ((_schema$xComponentP = schema['x-component-props']) === null || _schema$xComponentP === void 0 ? void 0 : _schema$xComponentP['dataIndex']) || schema['name'];
      var field = arrayField.query(arrayField.address.concat(name)).take();
      if (mode === 'normal') {
        _display = xComponentProps['env'] === mode ? 'visible' : 'hidden';
      }
      var columnProps = (field === null || field === void 0 ? void 0 : (_field$component = field.component) === null || _field$component === void 0 ? void 0 : _field$component[1]) || xComponentProps;
      var display = _display || (field === null || field === void 0 ? void 0 : field.display) || schema['x-display'];
      return [{
        name: name,
        display: display,
        field: field,
        schema: schema,
        columnProps: columnProps
      }];
    } else if (schema.properties) {
      return schema.reduceProperties(function (buf, schema) {
        return buf.concat(_parseSources(schema));
      }, []);
    }
    return [];
  };
  var parseArrayItems = function parseArrayItems(schema) {
    if (!schema) return [];
    var sources = [];
    var items = (0, _shared.isArr)(schema) ? schema : [schema];
    return items.reduce(function (columns, schema) {
      var item = _parseSources(schema);
      if (item) {
        return columns.concat(item);
      }
      return columns;
    }, sources);
  };
  if (!schema) throw new Error('can not found schema object');
  return parseArrayItems(schema.items);
};
var LOWCODE_NODE_ID = exports.LOWCODE_NODE_ID = '__lowcode_node_id__';
var indexKey = exports.indexKey = '__DO_NOT_USE_THIS_PROPERTY_index__';
var useArrayTableColumns = exports.useArrayTableColumns = function useArrayTableColumns(dataSource, field, sources) {
  return sources.reduce(function (buf, _ref2, key) {
    var name = _ref2.name,
      columnProps = _ref2.columnProps,
      schema = _ref2.schema,
      display = _ref2.display;
    if (display !== 'visible') return buf;
    if (!isColumnComponent(schema)) return buf;
    return buf.concat((0, _extends2["default"])({}, columnProps, {
      key: key,
      dataIndex: name,
      render: function render(value, record) {
        var index = record[indexKey];
        var children = /*#__PURE__*/_react2["default"].createElement(_antdV.ArrayBase.Item, {
          index: index,
          record: function record() {
            var _field$value;
            return field === null || field === void 0 ? void 0 : (_field$value = field.value) === null || _field$value === void 0 ? void 0 : _field$value[index];
          }
        }, /*#__PURE__*/_react2["default"].createElement(_react.RecursionField, {
          schema: schema,
          name: index,
          onlyRenderProperties: true
        }));
        return index > -1 ? children : null;
      }
    }));
  }, []);
};
var useAddition = exports.useAddition = function useAddition(schema) {
  return schema.reduceProperties(function (addition, schema, key) {
    if (isAdditionComponent(schema)) {
      return /*#__PURE__*/_react2["default"].createElement(_react.RecursionField, {
        schema: schema,
        name: key
      });
    }
    return addition;
  }, null);
};
var schedulerRequest = {
  request: null
};
var StatusSelect = exports.StatusSelect = (0, _react.observer)(function (props) {
  var _props$options;
  var field = (0, _react.useField)();
  var prefixCls = (0, _builtins__.usePrefixCls)('formily-array-table');
  var _useStyle = (0, _style["default"])(prefixCls),
    wrapSSR = _useStyle[0],
    hashId = _useStyle[1];
  var errors = field.errors;
  var parseIndex = function parseIndex(address) {
    var _address$slice$match;
    return Number(address === null || address === void 0 ? void 0 : (_address$slice$match = address.slice(address.indexOf(field.address.toString())).match(/(\d+)/)) === null || _address$slice$match === void 0 ? void 0 : _address$slice$match[1]);
  };
  var options = (_props$options = props.options) === null || _props$options === void 0 ? void 0 : _props$options.map(function (_ref3) {
    var label = _ref3.label,
      value = _ref3.value;
    var val = Number(value);
    var hasError = errors.some(function (_ref4) {
      var _props$options2;
      var address = _ref4.address;
      var currentIndex = parseIndex(address);
      var startIndex = props.pageSize ? (val - 1) * props.pageSize : 0;
      var endIndex = props.pageSize ? val * props.pageSize : ((_props$options2 = props.options) === null || _props$options2 === void 0 ? void 0 : _props$options2.length) || 0;
      return currentIndex >= startIndex && currentIndex <= endIndex;
    });
    return {
      label: hasError ? /*#__PURE__*/_react2["default"].createElement(_badge["default"], {
        dot: true
      }, label) : label,
      value: value
    };
  });
  var width = String(options === null || options === void 0 ? void 0 : options.length).length * 15;
  return wrapSSR(/*#__PURE__*/_react2["default"].createElement(_select["default"], {
    value: props.value,
    onChange: props.onChange,
    options: options,
    virtual: true,
    style: {
      width: width < 60 ? 60 : width
    },
    className: (0, _classnames["default"])(prefixCls + "-status-select", hashId, {
      'has-error': errors === null || errors === void 0 ? void 0 : errors.length
    })
  }));
}, {
  scheduler: function scheduler(update) {
    clearTimeout(schedulerRequest.request);
    schedulerRequest.request = setTimeout(function () {
      update();
    }, 100);
  }
});
var PaginationContext = exports.PaginationContext = /*#__PURE__*/(0, _react2.createContext)({});
var usePagination = exports.usePagination = function usePagination() {
  return (0, _react2.useContext)(PaginationContext);
};
var ArrayTablePagination = exports.ArrayTablePagination = function ArrayTablePagination(props) {
  var _props$children;
  var _useState = (0, _react2.useState)(1),
    current = _useState[0],
    setCurrent = _useState[1];
  var prefixCls = (0, _builtins__.usePrefixCls)('formily-array-table');
  var _useStyle2 = (0, _style["default"])(prefixCls),
    wrapSSR = _useStyle2[0],
    hashId = _useStyle2[1];
  var _useState2 = (0, _react2.useState)(props.pageSize || 10),
    pageSize = _useState2[0],
    setPageSize = _useState2[1];
  var size = props.size || 'default';
  var dataSource = props.dataSource || [];
  var showPagination = props.showPagination;
  var startIndex = (current - 1) * pageSize;
  var endIndex = startIndex + pageSize - 1;
  var total = (dataSource === null || dataSource === void 0 ? void 0 : dataSource.length) || 0;
  var totalPage = Math.ceil(total / pageSize);
  var pages = Array.from(new Array(totalPage)).map(function (_, index) {
    var page = index + 1;
    return {
      label: page,
      value: page
    };
  });
  var handleChange = function handleChange(current) {
    setCurrent(current);
  };
  var handleSizeChange = function handleSizeChange(_, size) {
    setPageSize(size);
  };
  (0, _react2.useEffect)(function () {
    setPageSize(props.pageSize || 10);
  }, [props.pageSize]);
  (0, _react2.useEffect)(function () {
    if (totalPage > 0 && totalPage < current) {
      handleChange(totalPage);
    }
  }, [totalPage, current]);
  var renderPagination = function renderPagination() {
    if (!showPagination || totalPage < 1) return;
    return /*#__PURE__*/_react2["default"].createElement("div", {
      className: (0, _classnames["default"])(prefixCls + "-pagination", hashId)
    }, /*#__PURE__*/_react2["default"].createElement(_space["default"], null, /*#__PURE__*/_react2["default"].createElement(StatusSelect, {
      value: current,
      pageSize: pageSize,
      onChange: handleChange,
      options: pages,
      notFoundContent: false
    }), /*#__PURE__*/_react2["default"].createElement(_pagination["default"], (0, _extends2["default"])({}, props, {
      pageSize: pageSize,
      current: current,
      total: dataSource.length,
      size: size,
      showSizeChanger: true,
      onShowSizeChange: handleSizeChange,
      onChange: handleChange
    }))));
  };
  return wrapSSR(/*#__PURE__*/_react2["default"].createElement(_react2.Fragment, null, /*#__PURE__*/_react2["default"].createElement(PaginationContext.Provider, {
    value: {
      totalPage: totalPage,
      pageSize: pageSize,
      startIndex: startIndex,
      changePage: handleChange
    }
  }, (_props$children = props.children) === null || _props$children === void 0 ? void 0 : _props$children.call(props, showPagination ? dataSource === null || dataSource === void 0 ? void 0 : dataSource.slice(startIndex, endIndex + 1) : dataSource, renderPagination(), {
    startIndex: startIndex
  }))));
};
var WrapperComp = exports.WrapperComp = function WrapperComp(props) {
  var ref = (0, _react2.useRef)(null);
  var field = (0, _react.useField)();
  var prefixCls = (0, _builtins__.usePrefixCls)('formily-array-table');
  var _useContext = (0, _react2.useContext)(PaginationContext),
    startIndex = _useContext.startIndex;
  var dataSource = Array.isArray(field.value) ? field.value.slice() : [];
  var addTdStyles = function addTdStyles(id) {
    var _ref$current;
    var node = (_ref$current = ref.current) === null || _ref$current === void 0 ? void 0 : _ref$current.querySelector("." + prefixCls + "-row-" + id);
    var helper = document.body.querySelector("." + prefixCls + "-sort-helper");
    if (!helper) return;
    var tds = node === null || node === void 0 ? void 0 : node.querySelectorAll('td');
    if (!tds) return;
    requestAnimationFrame(function () {
      helper.querySelectorAll('td').forEach(function (td, index) {
        if (tds[index]) {
          td.style.width = getComputedStyle(tds[index]).width;
        }
      });
    });
  };
  return /*#__PURE__*/_react2["default"].createElement(SortableBody, (0, _extends2["default"])({
    ref: ref
  }, props, {
    start: startIndex,
    list: dataSource.slice(),
    accessibility: {
      container: ref.current || undefined
    },
    onSortStart: function onSortStart(event) {
      addTdStyles(event.active.id);
    },
    onSortEnd: function onSortEnd(_ref5) {
      var oldIndex = _ref5.oldIndex,
        newIndex = _ref5.newIndex;
      field.move(oldIndex, newIndex);
    },
    className: (0, _classnames["default"])(prefixCls + "-sort-helper", props.className)
  }));
};
var RowComp = exports.RowComp = function RowComp(props) {
  var prefixCls = (0, _builtins__.usePrefixCls)('formily-array-table');
  var index = props['data-row-key'] || 0;
  return /*#__PURE__*/_react2["default"].createElement(SortableRow, (0, _extends2["default"])({
    lockAxis: "y"
  }, props, {
    index: index,
    className: (0, _classnames["default"])(props.className, prefixCls + "-row-" + (index + 1))
  }));
};
var InternalSortHandle = (0, _builtins__.SortableHandle)(function (props) {
  var prefixCls = (0, _builtins__.usePrefixCls)('formily-array-base');
  var _useStyle3 = (0, _style["default"])(prefixCls),
    wrapSSR = _useStyle3[0],
    hashId = _useStyle3[1];
  return wrapSSR(/*#__PURE__*/_react2["default"].createElement(_icons.MenuOutlined, (0, _extends2["default"])({}, props, {
    className: (0, _classnames["default"])(prefixCls + "-sort-handle", hashId, props.className),
    style: (0, _extends2["default"])({}, props.style)
  })));
});
var SortHandle = exports.SortHandle = function SortHandle(props) {
  var _array$field;
  var array = _antdV.ArrayBase.useArray();
  if (!array) return null;
  if (((_array$field = array.field) === null || _array$field === void 0 ? void 0 : _array$field.pattern) !== 'editable') return null;
  return /*#__PURE__*/_react2["default"].createElement(InternalSortHandle, props);
};
var isOpenComponent = exports.isOpenComponent = function isOpenComponent(schema) {
  var _schema$xComponent10;
  return ((_schema$xComponent10 = schema['x-component']) === null || _schema$xComponent10 === void 0 ? void 0 : _schema$xComponent10.indexOf('Open')) > -1;
};
var Navigation = exports.Navigation = /*#__PURE__*/(0, _react2.forwardRef)(function (props, ref) {
  var _array$field2;
  var record = _antdV.ArrayBase.useRecord();
  var self = (0, _react.useField)();
  var array = _antdV.ArrayBase.useArray();
  var prefixCls = (0, _builtins__.usePrefixCls)('formily-array-base');
  var _useStyle4 = (0, _style["default"])(prefixCls),
    wrapSSR = _useStyle4[0],
    hashId = _useStyle4[1];
  var editor = (0, _hooks.useEditor)();
  if (!array) return null;
  if (array.schema['x-data'] === 'advance') return null;
  if (((_array$field2 = array.field) === null || _array$field2 === void 0 ? void 0 : _array$field2.pattern) !== 'editable') return null;
  return wrapSSR(/*#__PURE__*/_react2["default"].createElement(_button["default"], (0, _extends2["default"])({
    type: "ghost"
  }, props, {
    style: (0, _extends2["default"])({
      width: 'auto',
      height: 'auto'
    }, props.style),
    disabled: self === null || self === void 0 ? void 0 : self.disabled,
    className: (0, _classnames["default"])(prefixCls + "-navigation", hashId, self !== null && self !== void 0 && self.disabled ? prefixCls + "-navigation-disabled" : '', props.className),
    ref: ref,
    onClick: function onClick(e) {
      var _editor$get, _editor$get$currentDo, _editor$get$currentDo2;
      if (self !== null && self !== void 0 && self.disabled || !record) return;
      var nodeId = record[LOWCODE_NODE_ID];
      console.log('----record', record, nodeId);
      (_editor$get = editor.get('project')) === null || _editor$get === void 0 ? void 0 : (_editor$get$currentDo = _editor$get.currentDocument) === null || _editor$get$currentDo === void 0 ? void 0 : (_editor$get$currentDo2 = _editor$get$currentDo.getNodeById(nodeId)) === null || _editor$get$currentDo2 === void 0 ? void 0 : _editor$get$currentDo2.select();
      e.stopPropagation();
      if (props.onClick) {
        props.onClick(e);
        if (e.defaultPrevented) return;
      }
    },
    icon: (0, _shared.isUndef)(props.icon) ? /*#__PURE__*/_react2["default"].createElement(_icons.EditOutlined, null) : props.icon
  }), props.title || self.title));
});
var Column = exports.Column = function Column() {
  return /*#__PURE__*/_react2["default"].createElement(_react2.Fragment, null);
};
var SidePanel = exports.SidePanel = function SidePanel(props) {
  return props.children;
};
var Addition = exports.Addition = function Addition(props) {
  var array = _antdV.ArrayBase.useArray();
  var _usePagination = usePagination(),
    _usePagination$totalP = _usePagination.totalPage,
    totalPage = _usePagination$totalP === void 0 ? 0 : _usePagination$totalP,
    _usePagination$pageSi = _usePagination.pageSize,
    pageSize = _usePagination$pageSi === void 0 ? 10 : _usePagination$pageSi,
    changePage = _usePagination.changePage;
  return /*#__PURE__*/_react2["default"].createElement(_antdV.ArrayBase.Addition, (0, _extends2["default"])({}, props, {
    onClick: function onClick(e) {
      var _array$field3, _props$onClick;
      // 如果添加数据后将超过当前页，则自动切换到下一页
      var total = (array === null || array === void 0 ? void 0 : (_array$field3 = array.field) === null || _array$field3 === void 0 ? void 0 : _array$field3.value.length) || 0;
      if (total === totalPage * pageSize + 1 && (0, _shared.isFn)(changePage)) {
        changePage(totalPage + 1);
      }
      (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, e);
    }
  }));
};
var isActionComponent = exports.isActionComponent = function isActionComponent(schema) {
  var _schema$xComponent11;
  return ((_schema$xComponent11 = schema['x-component']) === null || _schema$xComponent11 === void 0 ? void 0 : _schema$xComponent11.indexOf('Action')) > -1;
};
var Action = exports.Action = function Action(_ref6) {
  var children = _ref6.children;
  return children;
};
var useAction = exports.useAction = function useAction(schema) {
  return schema.reduceProperties(function (addition, schema, key) {
    if (isActionComponent(schema)) {
      return /*#__PURE__*/_react2["default"].createElement(_react.RecursionField, {
        schema: schema,
        name: key
      });
    }
    return addition;
  }, null);
};